Subject: Re: bug#1079: GNUstep port segfaults making autoloads on x86_64

From: Glenn Morris <[email-masked]>
Date: Sat, 04 Oct 2008 21:40:16 -0400

Adrian Robert wrote:

> #ifndef CANNOT_DUMP
>   if (initialized)
> #endif
>     ns_init_paths ();
> #endif
>
> Hmm, not sure if this ns_init_paths() is needed during the bootstrap  

I tried commenting it out; then I get a segfault loading
term/ns-win.el from the ns-list-colors call.

> -- i.e., should the conditional be different, or should it be moved  
> after the init_...() calls?  Unf I cannot test this stuff myself.

I tried (randomly) moving it after init_cmdargs; didn't make a
difference.

Since it works (for this stage at least) on 32-bit, but not 64, I
don't think something like that can be the answer.

It's the very first line of ns_init_paths that is the problem, does
this suggest anything?

NSBundle *bundle = [NSBundle mainBundle];